# *PARTICULA*

Particula is a simple, fast, and powerful particle simulator, or at least two of the three, we hope. It is a simple particle system that is designed to be easy to use and easy to extend. The goal is to have a robust aerosol (gas phase _and_ particle phase) simulation system that can be used to answer scientific questions that arise for experiments and research discussions.

(_DISCLAIMER_ [GitHub Copilot](https://copilot.github.com/) is heavily involved in the development of this project and especially in the writing of these paragraphs! _DISCLAIMER_)

(_WARNING_ `particula` is in early and messy development. It is not ready for production use yet, but you are welcome to use it anyway --- even better, you're welcome to contribute! _WARNING_)

## Goals & conduct

The main goal is to develop an aerosol particle model that is usable, efficient, and productive. In this process, we all will learn developing models in Python and associated packages. Let us all be friendly, respectful, and nice to each other. Any code added to this repository is automatically owned by all. Please speak up if something (even if trivial) bothers you. Talking through things always helps. This is an open-source project, so feel free to contribute, however small or big your contribution may be.

We follow the Google Python style guide [here](https://google.github.io/styleguide/pyguide.html). We have contribution guidelines [here](https://github.com/uncscode/particula/blob/main/docs/CONTRIBUTING.md) and a code of conduct [here](https://github.com/uncscode/particula/blob/main/docs/CODE_OF_CONDUCT.md) as well.

## Usage & development

The development of this model will be illustrated through Jupyter notebooks ([here](https://github.com/uncscode/particula/blob/main/docs)) that will be put together in the form of a Jupyter book on our [website](https://uncscode.github.io/particula). You can install `particula` from PyPI or conda-forge with `pip install particula` or `conda install -c conda-forge particula`.
